﻿
namespace PdfRpt.Core.Contracts
{
    /// <summary>
    /// Represents the most common paper sizes.
    /// </summary>
    public enum PdfPageSize
    {
        /// <summary>
        /// This is the letter format (612*792)
        /// </summary>
        Letter,
            
        /// <summary>
        /// This is the note format (540*720)
        /// </summary>
        Note,
        
        /// <summary>
        /// This is the legal format (612*1008)
        /// </summary>
        Legal,
    
        /// <summary>
        /// This is the tabloid format (792*1224)
        /// </summary>
          Tabloid,
        
        /// <summary>
        /// This is the executive format (522*756)
        /// </summary>
        Executive,    
        
        /// <summary>
        /// This is the postcard format (283*416)
        /// </summary>
        Postcard,

        /// <summary>
        /// This is the a0 format (2384*3370)
        /// </summary>
        A0,
        
        /// <summary>
        /// This is the a1 format (1684*2384)
        /// </summary>
        A1,
        
        /// <summary>
        /// This is the a2 format (1191*1684)
        /// </summary>
        A2,
        
        /// <summary>
        /// This is the a3 format (842*1191)
        /// </summary>
        A3,

        /// <summary>
        /// This is the a4 format (595*842)
        /// </summary>
        A4,
        
        /// <summary>
        /// This is the a5 format (420*595)
        /// </summary>
        A5,
    
        /// <summary>
        /// This is the a6 format (297*420)
        /// </summary>
        A6,
        
        /// <summary>
        /// This is the a7 format (210*297) 
        /// </summary>
        A7,
    
        /// <summary>
        /// This is the a8 format (148*210)
        /// </summary>
        A8,
    
        /// <summary>
        /// This is the a9 format (105*148)
        /// </summary>
        A9,        
        
        /// <summary>
        /// This is the a10 format (73*105)
        /// </summary>
        A10,

        /// <summary>
        /// This is the b0 format (2834*4008)
        /// </summary>
        B0,
    
        /// <summary>
        /// This is the b1 format (2004*2834)
        /// </summary>
        B1,

        /// <summary>
        /// This is the b2 format (1417*2004)
        /// </summary>
        B2,
        
        /// <summary>
        /// This is the b3 format (1000*1417)
        /// </summary>
        B3,
    
        /// <summary>
        /// This is the b4 format (708*1000)
        /// </summary>
        B4,
        
        /// <summary>
        /// This is the b5 format (498*708)
        /// </summary>
        B5,

        /// <summary>
        /// This is the b6 format (354*498)
        /// </summary>
        B6,

        /// <summary>
        /// This is the b7 format (249*354)
        /// </summary>
        B7,

        /// <summary>
        /// This is the b8 format (175*249)
        /// </summary>
        B8,
        
        /// <summary>
        /// This is the b9 format (124*175)
        /// </summary>
        B9,

        /// <summary>
        /// This is the b10 format (87*124)
        /// </summary>
        B10,
    
        /// <summary>
        /// This is the archE format (2592*3456)
        /// </summary>
        ArchE,

        /// <summary>
        /// This is the archD format (1728*2592)
        /// </summary>
        ArchD,

        /// <summary>
        /// This is the archC format (1296*1728)
        /// </summary>
        ArchC,
       
        /// <summary>
        /// This is the archB format (864*1296)
        /// </summary>
        ArchB,
        
        /// <summary>
        /// This is the archA format (648*864)
        /// </summary>
        ArchA,
        
        /// <summary>
        /// This is the American Foolscap format (612*936)
        /// </summary>
        AmericanFoolscap,
        
        /// <summary>
        /// This is the European Foolscap format (648*936)
        /// </summary>
        EuropeanFoolscap,

        /// <summary>
        /// This is the halfletter format (396*612)
        /// </summary>
        HalfLetter,

        /// <summary>
        /// This is the 11x17 format (792*1224)
        /// </summary>
        Size11X17,
        
        /// <summary>
        /// This is the ISO 7810 ID-1 format (242.65f*153)
        /// </summary>
        ID1,

        /// <summary>
        /// This is the ISO 7810 ID-2 format (A7 rotated) (297*210)
        /// </summary>
        ID2,
        
        /// <summary>
        /// This is the ISO 7810 ID-3 format (B7 rotated) (354*249)
        /// </summary>
        ID3,
    
        /// <summary>
        /// This is the ledger format (1224*792)
        /// </summary>
        Ledger,

        /// <summary>
        /// This is the Crown Quarto format (535*697)
        /// </summary>
        CrownQuarto,
    
        /// <summary>
        /// This is the Large Crown Quarto format (569*731)
        /// </summary>
        LargeCrownQuarto,
        
        /// <summary>
        /// This is the Demy Quarto format (620*782)
        /// </summary>
        DemyQuarto,
    
        /// <summary>
        /// This is the Royal Quarto format (671*884)
        /// </summary>
        RoyalQuarto,
        
        /// <summary>
        /// This is the Crown Octavo format (348*527)
        /// </summary>
        CrownOctavo,
        
        /// <summary>
        /// This is the Large Crown Octavo format (365*561)
        /// </summary>
        LargeCrownOctavo,
        
        /// <summary>
        /// This is the Demy Octavo format (391*612)
        /// </summary>
        DemyOctavo,
        
        /// <summary>
        /// This is the Royal Octavo format (442*663)
        /// </summary>
        RoyalOctavo,
        
        /// <summary>
        /// This is the small paperback format (314*504)
        /// </summary>
        SmallPaperback,
    
        /// <summary>
        /// This is the Pengiun small paperback format (314*513)
        /// </summary>
        PengiunSmallPaperback,
        
        /// <summary>
        /// This is the Penguin large paparback format (365*561)
        /// </summary>
        PenguinLargePaparback
    }
}
